\documentclass[en]{pracamgr}
\usepackage[a4paper, total={7in, 9in}]{geometry}

\usepackage{float}
\usepackage{graphicx}
\usepackage{array}
\usepackage{multirow}
\usepackage{subcaption}
\usepackage{hyperref}
\usepackage{algorithm,algorithmic}
\usepackage{xcolor}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{enumitem}
\usepackage{hhline}
\usepackage{mathtools}
\usepackage{wasysym}
\usepackage{fancyvrb}
\usepackage{wrapfig, blindtext}
\newcommand{\algorithmicbreak}{\textbf{break}}
\newcommand{\BREAK}{\STATE \algorithmicbreak}
\DeclarePairedDelimiter{\norm}{\lVert}{\rVert}

\usepackage[numbers]{natbib}
\bibliographystyle{unsrtnat}

% \renewcommand{\citep}[1][]{}
\renewcommand{\citep}[2][]{\ifthenelse{\equal{#1}{}}{(\cite{#2})}{(\cite[#1]{#2})}}

\autor{Tomasz Garbus}{370795}

\title{Controlled Machine Text Generation of~Football Articles}
\titlepl{Maszynowe generowanie wiadomości o piłce nożnej}

\kierunek{Computer Science}

\opiekun{dr Przemysław Chojecki\\
  Institute of Mathematics, Polish Academy of Sciences\\
  \ \\
  Co-supervisor:\\
  \textbf{dr hab. Dominik Ślęzak, prof. UW}\\
  University of Warsaw
}
%TODO dodać opiekuna ze strony uczelni

\date{June 2020}

%Podać dziedzinę wg klasyfikacji Socrates-Erasmus:
\dziedzina{ 
%11.0 Matematyka, Informatyka:\\ 
%11.1 Matematyka\\ 
%11.2 Statystyka\\ 
11.3 Informatics, Computer Science\\ 
% 11.4 Sztuczna inteligencja\\ 
%11.5 Nauki aktuarialne\\
%11.9 Inne nauki matematyczne i informatyczne
}

%Klasyfikacja tematyczna wedlug AMS (matematyka) lub ACM (informatyka)
\klasyfikacja{
  Computing methodologies-Machine learning\\
  Computing methodologies-Neural networks\\
  Computing methodologies-Natural language generation\\
  Computing methodologies-Information extraction
}

% Słowa kluczowe:
\keywords{text generation, transformer, control code, named entity recognition, reinforcement learning}

% Tu jest dobre miejsce na Twoje własne makra i~środowiska:
\newtheorem{defi}{Definicja}[section]
% koniec definicji

\begin{document}
\maketitle

%tu idzie streszczenie na strone poczatkowa
\begin{abstract}
  Among other benefits of the rapid development in deep learning,
  language modelling (LM) systems have excelled at producing relatively
  long text samples that are (almost) indistinguishable from
  human-written text.
  This work categorizes conditional text generation systems into
  three paradigms: generation with placeholders, prompted generation,
  adversarial/reinforcement learning and
  provides an overview of each paradigm along with
  experiments -- both machine- and human-judged.
  Example corpora of football news are used to discuss how a fast,
  domain-specific named entity recognition (NER) system can be built without much manual
  labour for English and Polish. The NER module is evaluated on manually labelled
  texts in both languages. It is then used not only to build fine-tuning sets
  for the language model, but also to aid its generation procedure, resulting
  in samples more compliant with provided control codes.
  Finally, a simple tool EDGAR for prompt-driven generation is presented.
  Two demos are made for the reader to experiment with and
  compare the proposed solutions with simply finetuned GPT-2 model.
\end{abstract}

\tableofcontents
%\listoffigures
%\listoftables

\chapter{Introduction}
\input{content/introduction.tex}

\chapter{Preliminaries}
\input{content/preliminaries.tex}

\chapter{Datasets}
\input{content/datasets.tex}

\chapter{Named Entity Recognition}
\input{content/named_entity_recognition.tex}

\chapter{Paradigm I: Generation with placeholders}
\input{content/placeholders.tex}

\chapter{Paradigm II: Prompted generation}
\input{content/prompted_generation.tex}

\chapter{Paradigm III: Adversarial training and~reinforcement learning}
\input{content/adversarial_training.tex}

\chapter{EDGAR: Out-of-the-box solution}
\input{content/edgar.tex}

\chapter{Conclusions}
\input{content/conclusions.tex}

\bibliography{bibliography}

\end{document}


%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% coding: latin-2
%%% End:
